## Adrienne Hosek and Lauren Peritz ----------------------------------------
## QJPS 2021 "Local labor markets and party elite"
## Purpose: Install R Packages For the Analysis
## Update: 21 June 2021


## Preliminary steps -------------------------------------------------------
rm(list=ls(all=T))

# Set your working directory here in place of "~/MyFilePath"
setwd("~/MyFilePath/AH_LP_qjps2021_replication")

# The following R packages will be installed
# ⁃	ggplot2 (v3.3.2) for data visualizations
# ⁃	lmtest (v0.9-38) for testing linear regression models
# ⁃	sandwich (v2.5-1) for robust covariance matrix estimators
# ⁃	scales (v1.1.0) for custom colors
# ⁃	stargazer (v5.2.2) for regression tables
# ⁃	Zelig (v5.1.7) for predicted effects


# ggplot2
install.packages("R-PACKAGES/ggplot2_3.3.2.tar.gz",repo = NULL, type="source")

# lmtest for Mac
install.packages("R-PACKAGES/lmtest_0.9-38.tgz",repo = NULL, type="source")

# lmtest for Windows
install.packages("R-PACKAGES/lmtest_0.9-38.tar.gz",repo = NULL, type="source")

# sandwich
install.packages("R-PACKAGES/sandwich_2.5-1.tar.gz",repo = NULL, type="source")

# scales
install.packages("R-PACKAGES/scales_1.1.0.tar.gz",repo = NULL, type="source")

# stargazer
install.packages("R-PACKAGES/stargazer_5.2.2.tar.gz",repo = NULL, type="source")

# Zelig
install.packages("R-PACKAGES/Zelig_5.1.7.tar.gz",repo = NULL, type="source")




